lkml.org 
[lkml]   [2009]   [Nov]   [20]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
From
Subject[PATCH -tip 0/2] x86 insn decoder test checking objdump version
Date

Hi Ingo,

Ingo Molnar wrote:
> We dont want to remove the build error: it helped us fix a number of
> real bugs in the decoder - instead please try to create a make based
> workaround based on binutils, to not run the test with binutils older
> than 2.19 or so.

Agreed, this patch checks objdump version and skip the test if it is older
than 2.19.

Thank you,

---
Masami Hiramatsu (2):
x86: insn decoder test checks objdump version
[BUGFIX] x86: Fix insn decoder test typos


arch/x86/tools/Makefile | 15 ++++++++++++---
arch/x86/tools/chkobjdump.awk | 23 +++++++++++++++++++++++
2 files changed, 35 insertions(+), 3 deletions(-)
create mode 100644 arch/x86/tools/chkobjdump.awk
--
Masami Hiramatsu

Software Engineer
Hitachi Computer Products (America), Inc.
Software Solutions Division
e-mail: mhiramat@redhat.com


\
 
 \ /
  Last update: 2009-11-20 18:13    [from the cache]
©2003-2011 Jasper Spaans